--- tox-4.23.2/tests/test_version.py.orig
+++ tox-4.23.2/tests/test_version.py
@@ -11,11 +11,14 @@
 
     from tox.pytest import ToxProjectCreator
 
+import pytest
+
 
 def test_version() -> None:
     assert __version__
 
 
+@pytest.mark.skip(reason="tox-current-env is always installed")
 def test_version_without_plugin(tox_project: ToxProjectCreator) -> None:
     outcome = tox_project({"tox.ini": ""}).run("--version")
     outcome.assert_success()
--- tox-4.23.2/tests/config/cli/test_cli_env_var.py.orig
+++ tox-4.23.2/tests/config/cli/test_cli_env_var.py
@@ -67,6 +67,10 @@
         "labels": [],
         "skip_env": "",
         "list_dependencies": is_ci(),
+        "current_env": False,                   # tox-current-env
+        "print_dependency_groups_to": False,    # tox-current-env
+        "print_deps_to": False,                 # tox-current-env
+        "print_extras_to": False,               # tox-current-env
     }
 
 
@@ -127,6 +131,10 @@
         "exit_and_dump_after": 0,
         "skip_env": "",
         "list_dependencies": is_ci(),
+        "current_env": False,                   # tox-current-env
+        "print_dependency_groups_to": False,    # tox-current-env
+        "print_deps_to": False,                 # tox-current-env
+        "print_extras_to": False,               # tox-current-env
     }
     assert options.parsed.verbosity == 4
     assert options.cmd_handlers == core_handlers
--- tox-4.23.2/tests/config/cli/test_cli_ini.py.orig
+++ tox-4.23.2/tests/config/cli/test_cli_ini.py
@@ -56,6 +56,10 @@
         "exit_and_dump_after": 0,
         "skip_env": "",
         "list_dependencies": is_ci(),
+        "current_env": False,                   # tox-current-env
+        "print_dependency_groups_to": False,    # tox-current-env
+        "print_deps_to": False,                 # tox-current-env
+        "print_extras_to": False,               # tox-current-env
     }
 
 
@@ -230,6 +234,10 @@
         "exit_and_dump_after": 0,
         "skip_env": "",
         "list_dependencies": is_ci(),
+        "current_env": False,                   # tox-current-env
+        "print_dependency_groups_to": False,    # tox-current-env
+        "print_deps_to": False,                 # tox-current-env
+        "print_extras_to": False,               # tox-current-env
     }
     assert options.parsed.verbosity == 4
     assert options.cmd_handlers == core_handlers
